### File

`packages/ecl/components/ecl-help-block/ecl-help-block.directive.ts`

### Description

Directive for rendering a help block element following the ECL design system.

This directive allows conditional styling for disabled state.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclHelpBlock]`

### Index

###### Methods
getCssClasses
###### Inputs
isDisabled class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isDisabled
Type : `boolean`
Default value : `false`
Indicates whether the help block is in a disabled state. When true, the `ecl-help-block--disabled` class is added.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies ECL base class and optional modifier to the host element. Returns a space-separated list of CSS classes.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Applies ECL base class and optional modifier to the host element. Returns a space-separated list of CSS classes. Returns : `string`

# results matching ""

# No results matching ""